> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contributor Metrics



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/evaluations/{evaluation_id}/contributor-metrics
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluations/{evaluation_id}/contributor-metrics:
    get:
      tags:
        - Evaluations
      summary: List Contributor Metrics
      operationId: GET-V4-/contributor-metrics
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: >-
              Page number for pagination to be returned by the given endpoint.
              Starts at page 1
            default: 1
            title: Page
          description: >-
            Page number for pagination to be returned by the given endpoint.
            Starts at page 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            description: >-
              Maximum number of artifacts to be returned by the given endpoint.
              Defaults to 100 and cannot be greater than 10k.
            default: 100
            title: Limit
          description: >-
            Maximum number of artifacts to be returned by the given endpoint.
            Defaults to 100 and cannot be greater than 10k.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedContributorMetricsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            page = client.evaluations.contributor_metrics.list(
                evaluation_id="evaluation_id",
            )
            page = page.items[0]
            print(page.annotated_by_user_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Evaluations.ContributorMetrics.List(\n\t\tcontext.TODO(),\n\t\t\"evaluation_id\",\n\t\tsgp.EvaluationContributorMetricListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    PaginatedContributorMetricsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ContributorMetricsResponse'
          type: array
          title: Items
          description: The data returned for the current page.
        total_item_count:
          type: integer
          title: Total Item Count
          description: The total number of items of the query
        current_page:
          type: integer
          title: Current Page
          description: The current page number.
        items_per_page:
          type: integer
          title: Items Per Page
          description: The number of items per page.
      type: object
      required:
        - items
        - total_item_count
        - current_page
        - items_per_page
      title: PaginatedContributorMetricsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContributorMetricsResponse:
      properties:
        evaluation_id:
          type: string
          title: Evaluation Id
          description: The ID of the evaluation.
        annotated_by_user_id:
          type: string
          title: Annotated By User Id
          description: The ID of the user who annotated the test case.
        total_time_spent_labeling_sec:
          title: Total Time Spent Labeling Sec
          description: Total time spent labeling in seconds.
          type: integer
        avg_time_spent_labeling_sec:
          title: Avg Time Spent Labeling Sec
          description: Average time spent labeling per test case in seconds.
          type: number
        total_num_test_cases_labeled:
          type: integer
          title: Total Num Test Cases Labeled
          description: Total number of test cases labeled.
        num_test_cases_fixed:
          type: integer
          title: Num Test Cases Fixed
          description: Number of test cases that were fixed.
        percentage_test_cases_fixed:
          type: number
          title: Percentage Test Cases Fixed
          description: Percentage of test cases done by this contributor that were fixed.
      type: object
      required:
        - evaluation_id
        - annotated_by_user_id
        - total_num_test_cases_labeled
        - num_test_cases_fixed
        - percentage_test_cases_fixed
      title: ContributorMetricsResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````